Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 967333 - Review Request: rubygem-code_analyzer - Helps build custom code analyzer tools
Summary: Review Request: rubygem-code_analyzer - Helps build custom code analyzer tools
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-05-26 17:23 UTC by Anuj More
Modified: 2016-01-04 08:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-04 08:55:48 UTC


Attachments (Terms of Use)

Description Anuj More 2013-05-26 17:23:46 UTC
Spec URL: http://anujmore.fedorapeople.org/pkgs/rubygem-code_analyzer/rubygem-code_analyzer.spec
SRPM URL: http://anujmore.fedorapeople.org/pkgs/rubygem-code_analyzer/rubygem-code_analyzer-0.3.1-1.fc19.src.rpm
Description: Helps build custom code analyzer tools
Fedora Account System Username: anujmore

Comment 1 Anuj More 2013-05-26 17:34:14 UTC
Builds on mock: https://raw.github.com/execat/Packages/master/rpmspecs/rubygem-code_analyzer/mock
rpmlint does not complain: 
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Josef Stribny 2013-05-28 08:38:41 UTC
I will take it for a review.

Comment 3 Josef Stribny 2013-05-28 10:47:12 UTC
* mark LICENSE as %doc

* move README.md to the -doc sub-package
  - it's not needed at runtime

* move Gemfile and Rakefile to -doc sub-package rather than excluding them

* fix Summary
  "Helps build custom code analyzer tools" sounds a bit better to me. But please put the summary as a short description here in Bugzilla next time so it's the same as in spec.

* fix Description (missing "which IS")
  - e.g.: The code analyzer tool which is extracted from rails_best_practices helps you easily build your own tool for code analysis.

Otherwise, it builds and runs just fine. Please fix the spec file so I can approve.

Comment 5 Josef Stribny 2013-08-05 07:49:05 UTC
Looks good now. 2 minor things that would be nice to do:

* Description of -doc sub-package should end with a dot "." as a normal English sentence, please add it.

* Be more specific when listing files
  %doc %{gem_instdir}/*.gemspec > %doc %{gem_instdir}/%{gem_name}.gemspec

Since those are not blockers I APPROVE this package. Please fix above mentioned issues before pushing.

Comment 7 Vít Ondruch 2016-01-04 08:55:48 UTC
Closing this stalled review.


Note You need to log in before you can comment on or make changes to this bug.